cURL
curl "https://api.phrase.com/v2/projects/:project_id/checks/issues/:id/dismiss" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCHphrase check_issues dismiss \
--project_id <project_id> \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/checks/issues/{id}/dismiss"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/checks/issues/{id}/dismiss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"check_name": "translation_placeholder_usage",
"state": "active",
"description": "The translation contains invalid placeholders. (missing: %{count})",
"dismissed_at": null,
"solved_at": null,
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"translation": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"content": "My translation",
"unverified": false,
"excluded": false,
"plural_suffix": "",
"key": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "home.index.headline",
"plural": false,
"use_ordinal_rules": false
},
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "de",
"code": "de-DE"
},
"placeholders": [
"%{count}"
],
"state": "translated",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Checks
Dismiss a check issue
Note: The Checks API is still in development and might change in subsequent releases.
Mark a check issue as dismissed so it no longer appears on the list of active check issues.
PATCH
/
projects
/
{project_id}
/
checks
/
issues
/
{id}
/
dismiss
cURL
curl "https://api.phrase.com/v2/projects/:project_id/checks/issues/:id/dismiss" \
-u USERNAME_OR_ACCESS_TOKEN \
-X PATCHphrase check_issues dismiss \
--project_id <project_id> \
--id <id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/checks/issues/{id}/dismiss"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/checks/issues/{id}/dismiss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"check_name": "translation_placeholder_usage",
"state": "active",
"description": "The translation contains invalid placeholders. (missing: %{count})",
"dismissed_at": null,
"solved_at": null,
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"translation": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"content": "My translation",
"unverified": false,
"excluded": false,
"plural_suffix": "",
"key": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "home.index.headline",
"plural": false,
"use_ordinal_rules": false
},
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "de",
"code": "de-DE"
},
"placeholders": [
"%{count}"
],
"state": "translated",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
}{
"message": "Validation Failed",
"errors": [
{
"resource": "Resource",
"field": "name",
"message": "can't be blank"
}
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Response
OK
Identifier of the check that reported this issue. One of: translation_content_length, translation_placeholder_usage, translation_glossary_usage.
Available options:
translation_content_length, translation_placeholder_usage, translation_glossary_usage Current state of the check issue. One of: active, solved, dismissed.
Available options:
active, solved, dismissed Human-readable description of the reported issue, always in English. This message is intended for display only. Its wording may change at any time and it should not be parsed or relied upon programmatically.
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"content": "My translation",
"unverified": false,
"excluded": false,
"plural_suffix": "",
"key": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "home.index.headline",
"plural": false,
"use_ordinal_rules": false
},
"locale": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "de",
"code": "de-DE"
},
"placeholders": ["%{count}"],
"state": "translated",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
Was this page helpful?